commit 95ca5f458251e21123e45ec52c38d629d39cd0e4
Author: Alexandre Oliva <oliva@adacore.com>
Date:   Thu Jun 27 08:44:54 2024 -0300

    [libstdc++] [testsuite] defer to check_vect_support* [PR115454]
    
    The newly-added testcase overrides the default dg-do action set by
    check_vect_support_and_set_flags (in libstdc++-dg/conformance.exp), so
    it attempts to run the test even if runtime vector support is not
    available.
    
    Remove the explicit dg-do directive, so that the default is honored,
    and the test is run if vector support is found, and only compiled
    otherwise.
    
    
    for  libstdc++-v3/ChangeLog
    
            PR libstdc++/115454
            * testsuite/experimental/simd/pr115454_find_last_set.cc: Defer
            to check_vect_support_and_set_flags's default dg-do action.
    
    (cherry picked from commit 95faa1bea7bdc7f92fcccb3543bfcbc8184c5e5b)

diff --git a/libstdc++-v3/testsuite/experimental/simd/pr115454_find_last_set.cc b/libstdc++-v3/testsuite/experimental/simd/pr115454_find_last_set.cc
index 25a713b4e94..4ade8601f27 100644
--- a/libstdc++-v3/testsuite/experimental/simd/pr115454_find_last_set.cc
+++ b/libstdc++-v3/testsuite/experimental/simd/pr115454_find_last_set.cc
@@ -1,5 +1,4 @@
 // { dg-options "-std=gnu++17" }
-// { dg-do run { target *-*-* } }
 // { dg-require-effective-target c++17 }
 // { dg-additional-options "-march=x86-64-v4" { target avx512f_runtime } }
 // { dg-require-cmath "" }

